# Generated by setupmc.com on 2025-04-06T11:14:44.508Zc

services:
  mc:
    image: itzg/minecraft-server:latest
    restart: unless-stopped
    tty: true
    stdin_open: true
    ports:
      - "25565:25565" # Minecraft Server
      - "24454:24454/udp" # Simple Voice Chat
      - "8123:8123" # Dynmap
    environment:
      EULA: "TRUE"
      ENFORCE_SECURE_PROFILE: "false"
      OPS: |-
        0xCharlie
      EXISTING_OPS_FILE: "SYNCHRONIZE"
      TYPE: "MODRINTH"
      VERSION: "1.20.1"
      MODRINTH_MODPACK: "https://files.cedoromal.com/minecraft/Vanilla%20Extended%20Server.mrpack"
      MODRINTH_LOADER: "fabric"
      MEMORY: "6144M"
      MAX_PLAYERS: "6"
      MOTD: "§l§eうん§kこ§r§l§b食べる"
      ICON: "https://files.cedoromal.com/misc/Yukkuri.png"
      USE_AIKAR_FLAGS: "true"
      TZ: "Asia/Manila"
      DIFFICULTY: "2"
      SIMULATION_DISTANCE: "12"
      VIEW_DISTANCE: "12"
      SEED: "1685916487102594389"
      REGION_FILE_COMPRESSION: "lz4"
      JVM_OPTS: "-Dminecraft.api.env=custom
        -Dminecraft.api.auth.host=https://drasl.cedoromal.com/auth
        -Dminecraft.api.account.host=https://drasl.cedoromal.com/account
        -Dminecraft.api.session.host=https://drasl.cedoromal.com/session
        -Dminecraft.api.services.host=https://drasl.cedoromal.com/services"
    volumes:
      - "./data:/data"
